// ===========================================================================
//	CDisk1ListBox.h			1994 Jan Bruyndonckx All rights reserved.
//	v1.0 18/6/94
//
//	A hierarchical demo listbox: shows the disk hierarchy as text only
//
// ===========================================================================

#include "CTwistDownListBox.h"

class CMyDiskListBox : public CTwistDownListBox {

  public:
  	enum {
  		classID	= 'dlst'
  	} ;
  	
  	static CMyDiskListBox*	CreateFromStream (LStream *inStream);

	CMyDiskListBox (LStream *inStream);

  protected:
	virtual void	ExpandElement (const Cell theCell) ;
	virtual void	DrawTwistedElement (const Rect *lRect,
										const TwistDownRecPtr twistElement,
										const short lDataLen) ;
	
	virtual void	ResizeFrameBy (Int16 inWidthDelta, Int16 inHeightDelta,	// from LPane
									Boolean inRefresh) ;

} ;