// ===========================================================================
//	UDeleteTaskQueue.cp				 1995, ric Forget. All rights reserved.
// ===========================================================================
//	
//	************************************************************************
//	*                                                                      *
//	*	Before using this code you should read the "License Agreement"     *
//	*	document and agree with it.                                        *
//	*                                                                      *
//	************************************************************************
//
//	Instruction and usage notes are in the UDeleteTaskQueue.cp file.
//
// ---------------------------------------------------------------------------


#pragma once

#include <PP_Prefix.h>


class	LDynamicArray;
class	LTask;


// ---------------------------------------------------------------------------
//		 Class UDeleteTaskQueue
// ---------------------------------------------------------------------------

class	UDeleteTaskQueue	: LPeriodical {
public:
								UDeleteTaskQueue();
	virtual						~UDeleteTaskQueue();
	
	static	void				AddTask(LTask *inTask);
	
	virtual	void				SpendTime(const EventRecord &inMacEvent);

protected:
	static	LDynamicArray		*sTaskQ;
	static	UDeleteTaskQueue	*sDeleteTaskQueue;
};
