// ===========================================================================
//	LFolderWatcher.h				 1995, ric Forget. All rights reserved.
// ===========================================================================
//	
//	************************************************************************
//	*                                                                      *
//	*	Before using this code you should read the "License Agreement"     *
//	*	document and agree with it.                                        *
//	*                                                                      *
//	************************************************************************
//
//	Instruction and usage notes are in the LFolderWatcher.cp file.
//
// ---------------------------------------------------------------------------


#pragma once


#include	<LSortedList.h>


// ---------------------------------------------------------------------------
//		 Class LFolderWatcher
// ---------------------------------------------------------------------------

class LFolderWatcher : public LSortedList {

public:
							LFolderWatcher(
									Int32	inDirID,
									Int16	inVRefNum,
									OSType	inFileType = fileType_Default,
									OSType	inFileCreator = fileType_Default);
	virtual					~LFolderWatcher();
	
	virtual Boolean			Update();
	
protected:
	Int32					mDirID;
	Int16					mVRefNum;
	OSType					mFileType;
	OSType					mFileCreator;
	Int32					mLastModificationDate;
	
	virtual void			Reset();
	
};
