// 
// ===========================================================================
//	 SliderTestView.h						1995 Scott Squires 
// ===========================================================================
//

// Subclass of LView to demo Slider.cp
// Real application would probably have a view that stored the Slider pointers
// and then used them to 'GetSliderValue()' in a DrawSelf().   
// Currently the display is only updated when the sliders are moved

#pragma once


#include <LView.h>
#include <LListener.h>
#include "Slider.h"

class Slider;

class SliderView : public LView, public LListener {
public:
	enum {
		class_ID = 'Slvw'
	};


	SliderView();
	SliderView(LStream *theStream);
	static SliderView *CreateSliderTestStream(LStream *inStream);

	virtual ~SliderView();
	void ListenToMessage(MessageT inMessage, void *ioParam);

 
};



