/*
	File:		CDimmerApp.h

	Contains:	Definitions for test harness.

	Written by:	Sak Wathanasin
				Network Analysis Ltd
				178 Wainbody Ave South
				Coventry CV3 6BX
				UK
	Phone:		(+44) 203 419996
	E-mail:		sw@network-analysis-ltd.co.uk

	Copyright:	 1995 Network Analysis Ltd. All rights reserved.

	Change History (most recent first):

	<1.0>		07/08/95	sw		First public release

	To Do:
*/


#pragma once

#include <LApplication.h>


class	CDimmerApp : public LApplication
{
public:
				CDimmerApp();
	virtual 	~CDimmerApp();
	
	Boolean		ObeyCommand(CommandT inCommand, void *ioParam = nil);
	void		FindCommandStatus(CommandT inCommand,
							Boolean &outEnabled, Boolean &outUsesMark,
							Char16 &outMark, Str255 outName);

protected:
	virtual void	StartUp();
};

