// ===========================================================================
//	CMyCustomListBox.h			1994 Jan Bruyndonckx All rights reserved.
//	v1.0 18/6/94
//
//	A listbox subclass containing custom data.
//  The default listbox contains only string data.
// ===========================================================================

#include "CCustomListBox.h"

//----------------------------------------------------------------------------

class CMyCustomListBox : public CCustomListBox {

  public:
  	enum {
  		classID = 'mlst'
  	} ;
  	  
	static CMyCustomListBox*	CreateFromStream(LStream *inStream);

	CMyCustomListBox (LStream *inStream);
	
  protected:
	virtual void		DrawElementSelf (const Rect *lRect, const void *lElement, const short lDataLen) ;

} ;

//----------------------------------------------------------------------------
