// ===========================================================================
//	LAboutBox.h				 1995, ric Forget. All rights reserved.
// ===========================================================================
//	
//	************************************************************************
//	*                                                                      *
//	*	Before using this code you should read the "License Agreement"     *
//	*	document and agree with it.                                        *
//	*                                                                      *
//	************************************************************************
//
//	Instruction and usage notes are in the LAboutBox.cp file.
//
// ---------------------------------------------------------------------------


#pragma once


#include	"LDialogBox.h"


// ---------------------------------------------------------------------------
//		 Classe LAboutBox
// ---------------------------------------------------------------------------

class	LAboutBox :	 public LDialogBox {
public:
	enum { class_ID = 'AbBo' };
	
	static void				DoAboutBox(ResIDT inResID);
	static LAboutBox*		CreateAboutBoxStream(LStream *inStream);

							LAboutBox();
							LAboutBox(SWindowInfo &inWindowInfo);
							LAboutBox(ResIDT inWINDid, Uint32 inAttributes,
									LCommander *inSuperCommander);
							LAboutBox(LStream *inStream);
	
	virtual void			HandleClick(const EventRecord &inMacEvent, Int16 inPart);
	virtual Boolean			HandleKeyPress(const EventRecord &inKeyEvent);
};