// ===========================================================================
//	UDelayedTaskQueue.h				 1995, ric Forget. All rights reserved.
// ===========================================================================
//	
//	************************************************************************
//	*                                                                      *
//	*	Before using this code you should read the "License Agreement"     *
//	*	document and agree with it.                                        *
//	*                                                                      *
//	************************************************************************
//
//	Instruction and usage notes are in the UDelayedTaskQueue.cp file.
//
// ---------------------------------------------------------------------------


#pragma once

#include <PP_Prefix.h>
#include "LTask.h"


class	LDynamicArray;
class	LDelayedTask;


// ---------------------------------------------------------------------------
//		 Class UDelayedTaskQueue
// ---------------------------------------------------------------------------

class	UDelayedTaskQueue	: LPeriodical {

friend	LTask;

public:
								UDelayedTaskQueue();
	virtual						~UDelayedTaskQueue();
	
	static	void				AddTask(LDelayedTask *inTask);
	static	void				RemoveTask(LDelayedTask *inTask);
	
	virtual	void				SpendTime(const EventRecord &inMacEvent);

protected:
	static	LDynamicArray		*sTaskQ;
	static	UDelayedTaskQueue	*sDelayedTaskQueue;
};
