// ===========================================================================
//	LFSSpecComparator.cp			 1995, ric Forget. All rights reserved.
// ===========================================================================
//	
//	************************************************************************
//	*                                                                      *
//	*	Before using this code you should read the "License Agreement"     *
//	*	document and agree with it.                                        *
//	*                                                                      *
//	************************************************************************
//
//	LFSSpecComparator is simple class to compare two FSSpec record in a
//	LSortedList.
//
// ---------------------------------------------------------------------------


#include	"LFSSpecComparator.h"



// ---------------------------------------------------------------------------
//		 LFSSpecComparator
// ---------------------------------------------------------------------------

LFSSpecComparator::LFSSpecComparator()
{
}


// ---------------------------------------------------------------------------
//		 ~LFSSpecComparator
// ---------------------------------------------------------------------------

LFSSpecComparator::~LFSSpecComparator()
{
}

// 
//		 Compare
// 

Int32
LFSSpecComparator::Compare(
	const void*	inCompData1,
	const void* inCompData2) const
{
	return ::CompareString(((FSSpec *)inCompData1)->name, ((FSSpec *)inCompData2)->name, nil);
}

