// ===========================================================================
//	UVirusCheck.h					 1995, ric Forget. All rights reserved.
// ===========================================================================
//	
//	************************************************************************
//	*                                                                      *
//	*	Before using this code you should read the "License Agreement"     *
//	*	document and agree with it.                                        *
//	*                                                                      *
//	************************************************************************
//
//	Instruction and usage notes are in the UVirusCheck.cp file.
//
// ---------------------------------------------------------------------------


#pragma once


// ---------------------------------------------------------------------------
//		 Structure SResourceMapT
// ---------------------------------------------------------------------------

struct SResourceMapT {

	OSType		type;
	Int32		count;
	Int32		size;

};



// ---------------------------------------------------------------------------
//		 Class StVirusCheck
// ---------------------------------------------------------------------------

class StVirusCheck {

public:

						StVirusCheck(OSType inResType, ResIDT inAlertID);
	virtual				~StVirusCheck();


protected:
	Handle				mResourceMap;
	OSType				mResType;
	
	void				BuildResourceMap();
	Boolean				CheckIfResourceMapIsInfected();
};
