// ===========================================================================
//	UVisualEffect.h					 1995, ric Forget. All rights reserved.
// ===========================================================================
//	
//	************************************************************************
//	*                                                                      *
//	*	Before using this code you should read the "License Agreement"     *
//	*	document and agree with it.                                        *
//	*                                                                      *
//	************************************************************************
//
//	Instruction and usage notes are in the UVisualEffect.cp file.
//
// ---------------------------------------------------------------------------

#pragma once



// ---------------------------------------------------------------------------
//		 Classe UVisualEffect
// ---------------------------------------------------------------------------

class UVisualEffect {

protected:

	static Int16			sNbrStep;
	static Rect				sFirstRect;
	static Rect				sLastRect;


public:

	static void				Initialize(Int16 inNbrStep = UVisualEffect::sNbrStep);
							
	static void				SetFirstRect(Rect inFirstRect);
	static void				SetFirstPane(LPane *inFirstPane);
							
	static void				SetLastRect(Rect inLastRect);
	static void				SetLastPane(LPane *inLastPane);
							
	static void				SetRects(Rect inFirstRect, Rect inLastRect);
	static void				SetPanes(LPane *inFirstPane, LPane *inLastPane);
	
	static void				DoPlayEffects();

protected:

	static Rect				CalcGlobalPaneFrame(LPane *inPane);
							
};

